Draft FlipDimension

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Draft FlipDimension and the translation is 7% complete.
Outdated translations are marked like this.

Draft FlipDimension

Ubicación en el Menú
Draft → Utilities → Flip Dimension
Entornos de trabajo
Draft, Arch
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Dimension

Description

Descripción

Cuando está en modo 2D, el texto de Dimensiones de borrador se muestra alineado con la línea de dimensión. La herramienta Dimensión siempre intenta mostrarle el texto de la dimensión en el lado correcto de la línea de dimensión, dependiendo de dónde lo esté viendo. En algunos casos, sin embargo, la dirección de visualización puede no reflejar la intención del espectador, y la orientación del texto de cota puede invertirse. Esta herramienta invierte esa orientación en los objetos dimensión seleccionados.

Usage

Utilización

  1. Seleccione uno o más objetos dimension
  2. Presione el botón Flip Dimension

Notes

  • Draft Dimensions also have a DatosFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()